package com.magnatune.eyecreate.companionformagnatune.adapters;

import android.content.Context;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import com.magnatune.eyecreate.companionformagnatune.R;
import com.magnatune.eyecreate.companionformagnatune.model.Track;

import io.realm.RealmBaseAdapter;
import io.realm.RealmResults;

public class TracksAdapter extends RealmBaseAdapter<Track> {
    public TracksAdapter(Context context, RealmResults<Track> realmResults, boolean automaticUpdate) {
        super(context, realmResults, automaticUpdate);
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        if(convertView == null) {
            convertView = inflater.inflate(R.layout.listitem_track,parent,false);
        }
        TextView trackName = (TextView) convertView.findViewById(R.id.track_name);
        trackName.setText(realmResults.get(position).getTrackname());
        return convertView;
    }
}
